#include <string.h>
#include <error.h>
#include "defines.h"

unchar *exec_err_mes(unchar *name)
/* 実行エラーメッセージ取得 */
{
static unsigned char s1[DISPX];
	switch (errno) {
		case ENOMEM:
			return("メモリーが足りません");
		case ENOEXEC:
			return("ファイル異常です");
		
		case ENOENT:
			strcpy(s1,name);
			strcat(s1,"が見つかりません");
			break;
		default:
			strcpy(s1,name);
			strcat(s1,"は実行できません");
	}
	return(s1);
}
